EDIT - bug #6441

FE Areas in advanced search arent sorted
02/28/2017 05:15 PM - Saskia Gennrich

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

List of Areas in advanced search aren't sorted in any way (
http://test.e-taxonomy.eu/dataportal/preview/fauna-europaea/cdm_dataportal/search)

The function to sort them assumes to sort them by orderindex.
https://dev.e-taxonomy.eu/gitweb/cdm-dataportal.git/blob/HEAD:/modules/cdm_dataportal/cdm_dataportal.search.php#1695

Although for all areas the order index is 0.
http://test.e-taxonomy.eu/dataportal/preview/fauna-europaea/cdm_dataportal/taxon/e5b22697-cf8f-49e8-aa90-82db69f4769d

Solution: change to sort them by representation_L10n in cdm_dataportal.api.module or the webservice should provide the proper
orderindex.

"prevIndex": O,
"records": [
{
"representation_L10n_abbreviatedLabel": "GR-AEG",
"representation_L10n": "Véreion Aiyadion (North Aegean Is.)",
"partOfUuid": "",
"orderIndex": O,
"class": "TermDto",
"uuid": "do6fba8ab-8444-497f-a47a-1eal3ca21512",
"vocabularyUuid": "0£955dba-4b88-4af5-b2fd-££f022c518b42"
}I
{
"representation_L10n_abbreviatedLabel": "HU",
"representation_L10n": "Hungary",
"partOfUuid": "",
"orderIndex": O,
"class": "TermDto",
"uuid": "d4ac836a-ff6d-413d-8al7-0£f24c369ff49",
"vocabularyUuid": "0£955dba-4b88-4af5-b2fd-££f022c518b42"
}I
{
"representation_L10n_abbreviatedLabel": "NL",
"representation_L10n": "The Netherlands",
"partOfUuid": "",
"orderIndex": O,
"class": "TermDto",
"uuid": "ad47a5c46-67a0-4bfb-a383-d6ef6c35fdbb",
"vocabularyUuid": "0£955dba-4b88-4af5-b2fd-£f£022c518b42"
}I
{
"representation_L10n_abbreviatedLabel": "RU-RUE",
"representation_L10n": "East European Russia",
"partOfUuid": "",
"orderIndex": O,
"class": "TermDto",
"uuid": "8ba4d4c423-5933-4180-aab4-41d9036a6635",
"vocabularyUuid": "0f955dba-4b88-4af5-b2fd-£ff022c518b42"

by

04/25/2024 1/2



http://test.e-taxonomy.eu/dataportal/preview/fauna-europaea/cdm_dataportal/search
https://dev.e-taxonomy.eu/gitweb/cdm-dataportal.git/blob/HEAD:/modules/cdm_dataportal/cdm_dataportal.search.php#l695
http://test.e-taxonomy.eu/dataportal/preview/fauna-europaea/cdm_dataportal/taxon/e5b22697-cf8f-49e8-aa90-82db69f4769d

History

#1 - 04/20/2021 12:09 PM - Andreas Kohlbecker

- Tags set to search

04/25/2024 22


http://www.tcpdf.org

